Package io.vertx.sqlclient.data

## Class NullValue

- java.lang.Object
- - io.vertx.sqlclient.data.NullValue

-     public class NullValue
      extends Object

  Instances of this class indicate the type associated with a `NULL` column value. This is useful when infering database types from `Tuple` items.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static NullValue` | `ArrayOfBigDecimal` |
    `static NullValue` | `ArrayOfBoolean` |
    `static NullValue` | `ArrayOfBuffer` |
    `static NullValue` | `ArrayOfDouble` |
    `static NullValue` | `ArrayOfFloat` |
    `static NullValue` | `ArrayOfInteger` |
    `static NullValue` | `ArrayOfJsonArray` |
    `static NullValue` | `ArrayOfJsonObject` |
    `static NullValue` | `ArrayOfLocalDate` |
    `static NullValue` | `ArrayOfLocalDateTime` |
    `static NullValue` | `ArrayOfLocalTime` |
    `static NullValue` | `ArrayOfLong` |
    `static NullValue` | `ArrayOfOffsetDateTime` |
    `static NullValue` | `ArrayOfOffsetTime` |
    `static NullValue` | `ArrayOfShort` |
    `static NullValue` | `ArrayOfString` |
    `static NullValue` | `ArrayOfTemporal` |
    `static NullValue` | `ArrayOfUUID` |
    `static NullValue` | `BigDecimal` |
    `static NullValue` | `Boolean` |
    `static NullValue` | `Buffer` |
    `static NullValue` | `Double` |
    `static NullValue` | `Float` |
    `static NullValue` | `Integer` |
    `static NullValue` | `JsonArray` |
    `static NullValue` | `JsonObject` |
    `static NullValue` | `LocalDate` |
    `static NullValue` | `LocalDateTime` |
    `static NullValue` | `LocalTime` |
    `static NullValue` | `Long` |
    `static NullValue` | `OffsetDateTime` |
    `static NullValue` | `OffsetTime` |
    `static NullValue` | `Short` |
    `static NullValue` | `String` |
    `static NullValue` | `Temporal` |
    `static NullValue` | `UUID` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NullValue` | `of​(Class<?> type)` |
    `Class<?>` | `type()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Boolean

          public static final NullValue Boolean

    - #### Short

          public static final NullValue Short

    - #### Integer

          public static final NullValue Integer

    - #### Long

          public static final NullValue Long

    - #### Float

          public static final NullValue Float

    - #### Double

          public static final NullValue Double

    - #### String

          public static final NullValue String

    - #### JsonObject

          public static final NullValue JsonObject

    - #### JsonArray

          public static final NullValue JsonArray

    - #### Temporal

          public static final NullValue Temporal

    - #### LocalDate

          public static final NullValue LocalDate

    - #### LocalTime

          public static final NullValue LocalTime

    - #### LocalDateTime

          public static final NullValue LocalDateTime

    - #### OffsetTime

          public static final NullValue OffsetTime

    - #### OffsetDateTime

          public static final NullValue OffsetDateTime

    - #### Buffer

          public static final NullValue Buffer

    - #### UUID

          public static final NullValue UUID

    - #### BigDecimal

          public static final NullValue BigDecimal

    - #### ArrayOfBoolean

          public static final NullValue ArrayOfBoolean

    - #### ArrayOfShort

          public static final NullValue ArrayOfShort

    - #### ArrayOfInteger

          public static final NullValue ArrayOfInteger

    - #### ArrayOfLong

          public static final NullValue ArrayOfLong

    - #### ArrayOfFloat

          public static final NullValue ArrayOfFloat

    - #### ArrayOfDouble

          public static final NullValue ArrayOfDouble

    - #### ArrayOfString

          public static final NullValue ArrayOfString

    - #### ArrayOfJsonObject

          public static final NullValue ArrayOfJsonObject

    - #### ArrayOfJsonArray

          public static final NullValue ArrayOfJsonArray

    - #### ArrayOfTemporal

          public static final NullValue ArrayOfTemporal

    - #### ArrayOfLocalDate

          public static final NullValue ArrayOfLocalDate

    - #### ArrayOfLocalTime

          public static final NullValue ArrayOfLocalTime

    - #### ArrayOfLocalDateTime

          public static final NullValue ArrayOfLocalDateTime

    - #### ArrayOfOffsetTime

          public static final NullValue ArrayOfOffsetTime

    - #### ArrayOfOffsetDateTime

          public static final NullValue ArrayOfOffsetDateTime

    - #### ArrayOfBuffer

          public static final NullValue ArrayOfBuffer

    - #### ArrayOfUUID

          public static final NullValue ArrayOfUUID

    - #### ArrayOfBigDecimal

          public static final NullValue ArrayOfBigDecimal

  - ### Method Detail

    - #### of

          public static NullValue of​(Class<?> type)

    - #### type

          public Class<?> type()

      Returns:
        the type associated with a `NULL` column value